global e x y mstruct LAv LOv jg kg nx ny Top2 AgeCorr AgeH Conductivity SurfaceTemp SurfaceTempAve ...
	SurfaceTempGradient MohoTemp LIDe TransDepth TransDepthType TransDepthOcean TransDepthTypeOcean

dBase = '../database/';

x = ncread([dBase 'NCM_SpatialGrid.nc'],'x');
y = ncread([dBase 'NCM_SpatialGrid.nc'],'y');
mstruct.origin = ncread([dBase 'NCM_SpatialGrid.nc'],'Origin');
mstruct.mapparallels = ncread([dBase 'NCM_SpatialGrid.nc'],'Map Parallels');
mstruct.scalefactor = ncread([dBase 'NCM_SpatialGrid.nc'],'Scale Factor');
mstruct.falsenorthing = ncread([dBase 'NCM_SpatialGrid.nc'],'False Northing');
mstruct.falseeasting = ncread([dBase 'NCM_SpatialGrid.nc'],'False Easting');
mstruct.geoid = ncread([dBase 'NCM_SpatialGrid.nc'],'Geoid');

LAv = ncread([dBase 'NCM_SpatialGrid.nc'],'Latitude vector');
LOv = ncread([dBase 'NCM_SpatialGrid.nc'],'Longitude vector');
jg = ncread([dBase 'NCM_SpatialGrid.nc'],'Index x grid');
kg = ncread([dBase 'NCM_SpatialGrid.nc'],'Index y grid');

e = ncread([dBase 'NCM_TemperatureGrids.nc'],'Surface Elevation');
MohoTemp = ncread([dBase 'NCM_TemperatureGrids.nc'],'Moho Temperature');
SurfaceTemp = ncread([dBase 'NCM_TemperatureGrids.nc'],'Surface Temperature');
SurfaceTempAve = ncread([dBase 'NCM_TemperatureGrids.nc'],'Surface Temperature Average');
SurfaceTempGradient = ncread([dBase 'NCM_TemperatureGrids.nc'],'Surface Temperature Gradient');
Conductivity = ncread([dBase 'NCM_TemperatureGrids.nc'],'Conductivity');
LIDe = ncread([dBase 'NCM_TemperatureGrids.nc'],'Moho Elevation');
Top2 = ncread([dBase 'NCM_TemperatureGrids.nc'],'Ocean Top Elevation Smooth');
Age2 = ncread([dBase 'NCM_TemperatureGrids.nc'],'Ocean Age');
AgeH = ncread([dBase 'NCM_TemperatureGrids.nc'],'Ocean Age Mask');
TransDepth = ncread([dBase 'NCM_TemperatureGrids.nc'],'Transition Depth');
TransDepthType = ncread([dBase 'NCM_TemperatureGrids.nc'],'Transition Depth Type');
TransDepthOcean = ncread([dBase 'NCM_TemperatureGrids.nc'],'Transition Depth Ocean');
TransDepthTypeOcean = ncread([dBase 'NCM_TemperatureGrids.nc'],'Transition Depth Type Ocean');

[ny,nx] = size(e);

j = find(Top2 > e);
Top2(j) = e(j);

l1 = 9+((80-9)/80)*Age2;
l2 = 80*ones(size(Age2));
AgeCorr = 1./((1./l1).^10 + (1./l2).^10);
AgeCorr = AgeCorr.^(1/10);

clear l1 l2 j Age2
