function [J,K] = GetJK(Lat,Lon)

global mstruct LOv LAv jg kg

X1 = -2600000;
Y1 = 0;
X2 = 2300000;
Y2 = 3200000;
nx = 4901;
ny = 3201;
if length(which('projfwd')) > 0
	[X,Y] = projfwd(mstruct,double(Lat),double(Lon));
	J = (ny - 1)*(Y - Y1)/(Y2 - Y1) + 1;
	K = (nx - 1)*(X - X1)/(X2 - X1) + 1;
else
	J = interp2(LOv,LAv,jg,Lon,Lat,'linear');
	K = interp2(LOv,LAv,kg,Lon,Lat,'linear');
end
