# TherMod Python routines
This set of utilities is used to extract temperature profiles and maps from the NCM thermal model (Boyd, 2019). Running the code requires the NCM thermal model, NCM_TemperatureGrids.nc (https://doi.org/10.5066/P935DT1G). These codes and datasets are part of an effort to produce a three dimensional national crustal model for use with seismic hazard studies. (https://doi.org/10.5066/P9T96Q67)

Installation:
The file install.sh will install a conda environment in which all needed python packages will be installed and in which you can run TherMod.

Please see or query the code for help (e.g. prompt>> python TherModWrapper -h).

Any questions regarding the code and data can be directed to olboyd@usgs.gov.

References:

Boyd, O.S., 2019, Temperature Model in support of the U.S. Geological Survey National Crustal Model for Seismic Hazard Studies: U.S. Geological Survey Open-File Report 2019–XXXX, XX p., https://doi.org/10.3133/ofr2019XXXX.
